Subject: [PATCH 0/11 net-2.6.16] unify control socket usage for protocols

From: "Denis V. Lunev" <[email-masked]>
Date: Fri, 28 Mar 2008 12:04:31 +0300

Hello, Dave!

This set provides a unification for control socket usage/creation for
all protocols. The idea is to use sock rather than socket all around the
protocols. (This has been partly done previously for ICMP/IPv6 staff).

Additionally, the creation of such a sockets now performed uniformly via
inet_csk_ctl_sock_create.

After that TCP control socket is created and used on a per/namespace
basis.

Regards,
	Den

P.S. This set includes the patch discussed yesterday with Vlad Yasevich.